DEXPRL(3)

SYNOPSIS
DOUBLE PRECISION FUNCTION DEXPRL (X)

NAME
dexprl - Calculate the relative error exponential (EXP(X)-1)/X.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C4B

TYPE
DOUBLE PRECISION (EXPREL-S, DEXPRL-D, CEXPRL-C)

KEYWORDS
ELEMENTARY FUNCTIONS, EXPONENTIAL, FIRST ORDER, FNLIB

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Evaluate EXPREL(X) = (EXP(X) - 1.0) / X. For small ABS(X) the Taylor series is used. If X is negative the reflection formula EXPREL(X) = EXP(X) * EXPREL(ABS(X)) may be used. This reflection formula will be of use when the evaluation for small ABS(X) is done by Chebyshev series rather than Taylor series.

REFERENCES
(NONE)

ROUTINES CALLED
D1MACH

REVISION HISTORY (YYMMDD)
770801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890911 Removed unnecessary intrinsics. (WRB)
890911 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)